## org.apache.myfaces.taglib.core
Class SelectItemTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.core.SelectItemTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  SelectItemTag

public class SelectItemTagBase
extends UIComponentTagBase

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SelectItemTagBase()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `setItemDescription(java.lang.String itemDescription)`
`void` `setItemDisabled(java.lang.String itemDisabled)`
`void` `setItemLabel(java.lang.String itemLabel)`
`void` `setItemValue(java.lang.String itemValue)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`release, setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectItemTagBase

    public SelectItemTagBase()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `UIComponentTagBase`

### setItemDisabled

    public void setItemDisabled(java.lang.String itemDisabled)

### setItemDescription

    public void setItemDescription(java.lang.String itemDescription)

### setItemLabel

    public void setItemLabel(java.lang.String itemLabel)

### setItemValue

    public void setItemValue(java.lang.String itemValue)